Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.office
Class OdfSpreadsheetElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.office.OdfSpreadsheetElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfSpreadsheet

    public abstract class OdfSpreadsheetElement

extends OdfElement

DOM implementation of OpenDocument element office:spreadsheet.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfSpreadsheetElement(OdfFileDom aOwnerDoc)` Create the instance of OdfSpreadsheetElement

Method Summary
`OdfAlphabeticalIndexAutoMarkFileElement` | `createAlphabeticalIndexAutoMarkFileElement(OdfAnyURI href)` Create child element text:alphabetical-index-auto-mark-file.
`OdfCalculationSettingsElement` | `createCalculationSettingsElement()` Create child element table:calculation-settings.
`OdfConsolidationElement` | `createConsolidationElement(String function, OdfCellRangeAddressList sourceCellRangeAddresses, OdfCellAddress targetCellAddress)` Create child element table:consolidation.
`OdfContentValidationsElement` | `createContentValidationsElement()` Create child element table:content-validations.
`OdfDatabaseRangesElement` | `createDatabaseRangesElement()` Create child element table:database-ranges.
`OdfDataPilotTablesElement` | `createDataPilotTablesElement()` Create child element table:data-pilot-tables.
`OdfDdeConnectionDeclElement` | `createDdeConnectionDeclElement(String name, String ddeApplication, String ddeTopic, String ddeItem)` Create child element text:dde-connection-decl.
`OdfDdeLinksElement` | `createDdeLinksElement()` Create child element table:dde-links.
`OdfLabelRangesElement` | `createLabelRangesElement()` Create child element table:label-ranges.
`OdfNamedExpressionsElement` | `createNamedExpressionsElement()` Create child element table:named-expressions.
`OdfSequenceDeclElement` | `createSequenceDeclElement(String name, OdfNonNegativeInteger displayOutlineLevel)` Create child element text:sequence-decl.
`OdfTableElement` | `createTableElement()` Create child element table:table.
`OdfTrackedChangesElement` | `createTrackedChangesElement()` Create child element table:tracked-changes.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, Double value, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfBoolean booleanValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfDate dateValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfDuration timeValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, String name)` Create child element text:user-field-decl.
`OdfVariableDeclElement` | `createVariableDeclElement(String name, OdfValueType valueType)` Create child element text:variable-decl.
`OdfName` | `getOdfName()` Get the element name
`String` | `getProtectionKey()` Get value of attribute table:protection-key.
`OdfAnyURI` | `getProtectionKeyDigestAlgorithm()` Get value of attribute table:protection-key-digest-algorithm.
`OdfBoolean` | `getStructureProtected()` Get value of attribute table:structure-protected.
`void` | `setProtectionKey(String protectionKey)` Set value of attribute table:protection-key.
`void` | `setProtectionKeyDigestAlgorithm(OdfAnyURI protectionKeyDigestAlgorithm)` Set value of attribute table:protection-key-digest-algorithm.
`void` | `setStructureProtected(OdfBoolean isStructureProtected)` Set value of attribute table:structure-protected.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfSpreadsheetElement

    public OdfSpreadsheetElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfSpreadsheetElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element office:spreadsheet.

### getStructureProtected

    public OdfBoolean getStructureProtected()

  Get value of attribute table:structure-protected.

  Returns:
    return the attribute which type is OdfBoolean

### setStructureProtected

    public void setStructureProtected(OdfBoolean isStructureProtected)

  Set value of attribute table:structure-protected.

  Parameters:
    `isStructureProtected` - the attribute's type is OdfBoolean

### getProtectionKey

    public String getProtectionKey()

  Get value of attribute table:protection-key.

  Returns:
    return the attribute which type is String

### setProtectionKey

    public void setProtectionKey(String protectionKey)

  Set value of attribute table:protection-key.

  Parameters:
    `protectionKey` - the attribute's type is String

### getProtectionKeyDigestAlgorithm

    public OdfAnyURI getProtectionKeyDigestAlgorithm()

  Get value of attribute table:protection-key-digest-algorithm.

  Returns:
    return the attribute which type is OdfAnyURI

### setProtectionKeyDigestAlgorithm

    public void setProtectionKeyDigestAlgorithm(OdfAnyURI protectionKeyDigestAlgorithm)

  Set value of attribute table:protection-key-digest-algorithm.

  Parameters:
    `protectionKeyDigestAlgorithm` - the attribute's type is OdfAnyURI

### createTrackedChangesElement

    public OdfTrackedChangesElement createTrackedChangesElement()

  Create child element table:tracked-changes.

  Returns:
    return the element table:tracked-changes

### createVariableDeclElement

    public OdfVariableDeclElement createVariableDeclElement(String name,
                                                            OdfValueType valueType)

  Create child element text:variable-decl.

  Parameters:
    `name` - String
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
  Returns:
    return the element text:variable-decl

### createSequenceDeclElement

    public OdfSequenceDeclElement createSequenceDeclElement(String name,
                                                            OdfNonNegativeInteger displayOutlineLevel)

  Create child element text:sequence-decl.

  Parameters:
    `name` - String
    `displayOutlineLevel` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
  Returns:
    return the element text:sequence-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              Double value,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `value` - Double
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfDate dateValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `dateValue` - the attribute's type is XMLGregorianCalendar
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfDuration timeValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `timeValue` - the attribute's type is Duration
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfBoolean booleanValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `booleanValue` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfBoolean
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `name` - String
  Returns:
    return the element text:user-field-decl

### createDdeConnectionDeclElement

    public OdfDdeConnectionDeclElement createDdeConnectionDeclElement(String name,
                                                                      String ddeApplication,
                                                                      String ddeTopic,
                                                                      String ddeItem)

  Create child element text:dde-connection-decl.

  Parameters:
    `name` - String
    `ddeApplication` - String
    `ddeTopic` - String
    `ddeItem` - String
  Returns:
    return the element text:dde-connection-decl

### createAlphabeticalIndexAutoMarkFileElement

    public OdfAlphabeticalIndexAutoMarkFileElement createAlphabeticalIndexAutoMarkFileElement(OdfAnyURI href)

  Create child element text:alphabetical-index-auto-mark-file.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element text:alphabetical-index-auto-mark-file

### createCalculationSettingsElement

    public OdfCalculationSettingsElement createCalculationSettingsElement()

  Create child element table:calculation-settings.

  Returns:
    return the element table:calculation-settings

### createContentValidationsElement

    public OdfContentValidationsElement createContentValidationsElement()

  Create child element table:content-validations.

  Returns:
    return the element table:content-validations

### createLabelRangesElement

    public OdfLabelRangesElement createLabelRangesElement()

  Create child element table:label-ranges.

  Returns:
    return the element table:label-ranges

### createTableElement

    public OdfTableElement createTableElement()

  Create child element table:table.

  Returns:
    return the element table:table

### createNamedExpressionsElement

    public OdfNamedExpressionsElement createNamedExpressionsElement()

  Create child element table:named-expressions.

  Returns:
    return the element table:named-expressions

### createDatabaseRangesElement

    public OdfDatabaseRangesElement createDatabaseRangesElement()

  Create child element table:database-ranges.

  Returns:
    return the element table:database-ranges

### createDataPilotTablesElement

    public OdfDataPilotTablesElement createDataPilotTablesElement()

  Create child element table:data-pilot-tables.

  Returns:
    return the element table:data-pilot-tables

### createConsolidationElement

    public OdfConsolidationElement createConsolidationElement(String function,
                                                              OdfCellRangeAddressList sourceCellRangeAddresses,
                                                              OdfCellAddress targetCellAddress)

  Create child element table:consolidation.

  Parameters:
    `function` - String
    `sourceCellRangeAddresses` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellRangeAddressList
    `targetCellAddress` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellAddress
  Returns:
    return the element table:consolidation

### createDdeLinksElement

    public OdfDdeLinksElement createDdeLinksElement()

  Create child element table:dde-links.

  Returns:
    return the element table:dde-links

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.